{% load static %}

<!DOCTYPE html>
<html>
<head>
  <title>Kitchen | Project3: Pizza</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
  integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'orders/styles/kitchen.css' %}"/>
  <script src="{% static 'orders/scripts/kitchen.js' %}"></script>
  <script>
  var csrf_token = '{{csrf_token}}';
  var last_id = {{last_id}};
  </script>
</head>
<body>
  {% if user.groups.all.0.name == 'Staff' %}
  <header>
    <h1>Pinocchio's Pizza <small>Cucina</h1>
  </header>
  <main class="container-fluid orders-table">
    <div class="row">
      <div class="column pending-tickets">
        <h2>Pending</h2>
        <div class="ticket-container">
          {% for order in pending %}
          <div class="card" data-id="{{ order.order_id }}">
            <h5 class="card-header">#{{ order.order_id }}</h5>
            <ul class="list-group list-group-flush">
              {% for item in order.order_items %}
              <li class="list-group-item">
                <h6>{% if item.item_small %}Small {% endif %}{{ item.item }}</h6>
                <div>{% for topping in item.item_toppings %}
                  {{ topping }}{% if not forloop.last %}, {% endif %}
                  {% endfor %}
                </div>
              </li>
              {% endfor %}
            </ul>
            <div class="card-body d-flex justify-content-between btn-cont">
              <button class="btn btn-danger btn-delete-order">Delete</button>
              <button class="btn btn-success btn-in-progress">In progress &raquo;</button>
            </div>
          </div>
          {% endfor %}
        </div>
      </div>
      <div class="column in-progress-tickets">
        <h2>In Progress</h2>
        <div class="ticket-container">
          {% for order in inprogress %}
          <div class="card" data-id="{{ order.order_id }}">
            <h5 class="card-header">#{{ order.order_id }}</h5>
            <ul class="list-group list-group-flush">
              {% for item in order.order_items %}
              <li class="list-group-item">
                <h6>{% if item.item_small %}Small {% endif %}{{ item.item }}</h6>
                <div>{% for topping in item.item_toppings %}
                  {{ topping }}{% if not forloop.last %}, {% endif %}
                  {% endfor %}
                </div>
              </li>
              {% endfor %}
            </ul>
            <div class="card-body d-flex justify-content-between btn-cont">
              <button class="btn btn-secondary btn-pending">&laquo; Back to pending</button>
              <button class="btn btn-success btn-completed">Completed &raquo;</button>
            </div>
          </div>
          {% endfor %}
        </div>
      </div>
      <div class="column completed-tickets">
        <h2>Completed</h2>
        <div class="ticket-container">
          {% for order in completed %}
          <div class="card" data-id="{{ order.order_id }}">
            <h5 class="card-header">#{{ order.order_id }}</h5>
            <ul class="list-group list-group-flush">
              {% for item in order.order_items %}
              <li class="list-group-item">
                <h6>{% if item.item_small %}Small {% endif %}{{ item.item }}</h6>
                <div>{% for topping in item.item_toppings %}
                  {{ topping }}{% if not forloop.last %}, {% endif %}
                  {% endfor %}
                </div>
              </li>
              {% endfor %}
            </ul>
            <div class="card-body d-flex justify-content-between btn-cont">
              <button class="btn btn-secondary btn-in-progress">&laquo; Back to In progress</button>
              <button class="btn btn-primary btn-archived">Archive</button>
            </div>
          </div>
          {% endfor %}
        </div>
      </div>
    </div>
  </main>
  {% else %}
  <h1>Error 401: You don't have permission to see this page.</h1>
  <p><a href="{% url 'index' %}">&laquo; Back to the main site.</a></p>
  {% endif %}
</body>
</html>
